Bug 1004788 - Vim logo is blurry and the color palette is random and deviates from upstream
Vim logo is blurry and the color palette is random and deviates from upstream
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 09:38 EDT by Alberto Ruiz
Modified: 2013-09-24 04:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: vim-7.4.027-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-13 22:32:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
High resolution vim icon upscaled and pixelated (254.83 KB, image/png)
2013-09-24 04:47 EDT, Alberto Ruiz
no flags Details

  None (edit)
Description Alberto Ruiz 2013-09-05 09:38:53 EDT
Description of problem:

The Vim icon for the .desktop file has several issues from a visual design point of view:

- The color scheme is completely random, it doesn't follow the upstream branding nor the Tango specification

- The high resolution version is blurry and looks really bad compared to the rest of the icon set of most of other apps


I suggest that the upstream .eps/.pdf[0] file is used to generate all the icons needed. It is far from perfect but it is a lot less problematic than the current one in Fedora.

http://code.google.com/p/vim/source/browse/#hg%2Fruntime
Comment 1 Jakub Steiner 2013-09-05 09:56:29 EDT
I agree the fedora variant is a step back.
Comment 2 Fedora Update System 2013-09-11 08:39:57 EDT
vim-7.4.027-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/vim-7.4.027-2.fc20
Comment 3 Fedora Update System 2013-09-11 08:40:24 EDT
vim-7.4.027-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/vim-7.4.027-2.fc19
Comment 4 Fedora Update System 2013-09-11 08:41:12 EDT
vim-7.4.027-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/vim-7.4.027-2.fc18
Comment 5 Alberto Ruiz 2013-09-11 10:42:34 EDT
Great stuff thanks a lot Karsten!
Comment 6 Fedora Update System 2013-09-11 12:58:56 EDT
Package vim-7.4.027-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vim-7.4.027-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16427/vim-7.4.027-2.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-09-13 22:32:08 EDT
vim-7.4.027-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-09-22 20:16:35 EDT
vim-7.4.027-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-09-23 20:26:45 EDT
vim-7.4.027-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Alberto Ruiz 2013-09-24 04:47:52 EDT
Created attachment 802101 [details]
High resolution vim icon upscaled and pixelated
Comment 11 Alberto Ruiz 2013-09-24 04:48:47 EDT
Check the screenshot attached, we need a better high resolution icon still, that one is upscaled and has some weird pixelated artifacts in the borders.

Note You need to log in before you can comment on or make changes to this bug.